#include "../config.h"
#include <stdio.h>
#include <stdlib.h>
#include "ast.h"
#include "parser.h"

extern FILE* yyin;

struct value_type *json;

int
main(int argc, char *argv[])
{
  int ret;
  // if a file is given read from it
  // otherwise we'll read from STDIN
  if(argc == 2)
  {
    if(!(yyin = fopen(argv[1],"r")))
    {
      perror(argv[1]);
      return EXIT_FAILURE;
    }
  }
  ret = yyparse();

  if(ret)
  {
    perror("failed to parse json");
  }
  else
  {
    json_print_recursive(json);
  }

  return ret;
}
